Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596838 - support JON having read-only access to the systems it manages
Summary: support JON having read-only access to the systems it manages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server
Version: 1.3.1
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 15:28 UTC by dsteigne
Modified: 2018-10-27 16:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-29 18:14:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 588822 None None None Never

Description dsteigne 2010-05-27 15:28:42 UTC
Description of problem:

support JON having read-only access to the systems it manages, e.g. run as an OS user with read-only permissions, connect to JBAS/Tomcat as users which do not have rights to execute invoke operations.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Joseph Marques 2010-09-16 16:53:23 UTC
to my knowledge, this issue is NOT about JON authz on the server-side (creating a no-perm user with access to certain JBAS resources).  this is about implementing the JBAS/EAP management features in such a way that it takes action using a limited-security user on the remote OS, which is something we need to enhance in the JBAS/EAP plugin.


Note You need to log in before you can comment on or make changes to this bug.